const { Sequelize } = require('sequelize');

// Использование переменных окружения для конфиденциальных данных
const sequelize = new Sequelize(
    process.env.DB_NAME,  // Название базы данных
    process.env.DB_USER,  // Пользователь
    process.env.DB_PASSWORD,  // Пароль
    {
        host: process.env.DB_HOST,  // Хост
        dialect: 'postgres',  // Диалект базы данных
        logging: false,  // Отключение логирования запросов в консоль
    }
);

module.exports = sequelize;
